#!/bin/bash
# SPDX-Version: 3.0
# SPDX-CreationInfo: 2025-06-17; WEIDNER, Marc S.; <msw@coresecret.dev>
# SPDX-ExternalRef: GIT https://git.coresecret.dev/msw/CISS.debian.installer.git
# SPDX-FileContributor: WEIDNER, Marc S.; Centurion Intelligence Consulting Agency
# SPDX-FileCopyrightText: 2024-2025; WEIDNER, Marc S.; <msw@coresecret.dev>
# SPDX-FileType: SOURCE
# SPDX-License-Identifier: EUPL-1.2 OR LicenseRef-CCLA-1.0
# SPDX-LicenseComment: This file is part of the CISS.debian.installer.secure framework.
# SPDX-PackageName: CISS.debian.installer
# SPDX-Security-Contact: security@coresecret.eu

#######################################
# Version Wrapper 'CISS.debian.installer.'
# Globals:
#   VAR_VERSION
# Arguments:
#   None
#######################################
version() {
  # shellcheck disable=SC2155
  declare -r var_repo_ver="$(git log --format='%h %ci' -1 2>/dev/null | awk '{ print $1" "$2" "$3 }')"
  # shellcheck disable=SC2155
  declare -r var_ds_ver="$(debootstrap --version)"
  # shellcheck disable=SC2155
  declare -r var_host="$(uname -n)"
  # shellcheck disable=SC2155
  declare -r var_bash_ver="$(bash --version | head -n1 | awk '{print $4" "$5" "$6}')"

  clear
  cat << EOF
$(echo -e "\e[97m################################################################################ \e[0m")
$(echo -e "\e[92m  CISS.debian.installer from https://git.coresecret.dev/msw \e[0m")
$(echo -e "\e[92m  A powerful Debian installer for setting up a hardened Debian environment. \e[0m")

  Version : ${VAR_VERSION}
  Git     : ${var_repo_ver}

$(echo -e "\e[97m  This program is free software. Distribution and modification under  \e[0m")
$(echo -e "\e[97m  EUPL-1.2 permitted. USAGE w/o ANY WARRANTY. USE IT AT YOUR OWN RISK! \e[0m")

  Please file bugs @
$(echo -e "\e[95m  https://git.coresecret.dev/msw/CISS.debian.live.builder/issues \e[0m")
$(echo -e "\e[97m################################################################################\e[0m")

  Using   : debootstrap (${var_ds_ver})
  on      : ${var_host}
  Bash    : ${var_bash_ver}

EOF
}
# vim: number et ts=2 sw=2 sts=2 ai tw=128 ft=sh
